package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.FoodSpecsValueMapper;
import com.ruoyi.system.domain.FoodSpecsValue;
import com.ruoyi.system.service.IFoodSpecsValueService;

/**
 * 规格值 Service 业务层处理
 *
 * @author ruoyi
 * @date 2026-07-15
 */
@Service
public class FoodSpecsValueServiceImpl extends ServiceImpl<BaseMapper<FoodSpecsValue>, FoodSpecsValue> implements IFoodSpecsValueService
{
    @Autowired
    private FoodSpecsValueMapper foodSpecsValueMapper;

    @Override
    public FoodSpecsValue selectFoodSpecsValueById(Long id)
    {
        return foodSpecsValueMapper.selectFoodSpecsValueById(id);
    }

    @Override
    public List<FoodSpecsValue> selectFoodSpecsValueList(FoodSpecsValue foodSpecsValue)
    {
        return foodSpecsValueMapper.selectFoodSpecsValueList(foodSpecsValue);
    }

    @Override
    public int insertFoodSpecsValue(FoodSpecsValue foodSpecsValue)
    {
        return foodSpecsValueMapper.insertFoodSpecsValue(foodSpecsValue);
    }

    @Override
    public int updateFoodSpecsValue(FoodSpecsValue foodSpecsValue)
    {
        return foodSpecsValueMapper.updateFoodSpecsValue(foodSpecsValue);
    }

    @Override
    public int deleteFoodSpecsValueByIds(Long[] ids)
    {
        return foodSpecsValueMapper.deleteFoodSpecsValueByIds(ids);
    }

    @Override
    public int deleteFoodSpecsValueById(Long id)
    {
        return foodSpecsValueMapper.deleteFoodSpecsValueById(id);
    }
}
